Subject: [mobile-ip] how to measure the handoff latency in MIPv6

From: [email-masked]
Date: Wed, 8 Oct 2003 09:38:40 +0800

hi,
I want to know the handoff latency when a mobile IPv6 node moves from one

subnet to another, but I am not sure of the method to measure it.

And my test bed is based on KAME-MIPv6,freebsd. Can anyone kindly tell me

how to measure it?

Thanks in advance.

====================================

zhang.liansheng

ZTE

Email：[email-masked]

====================================

---

From: "Ed Remmell" <[email-masked]>
Date: Tue, 7 Oct 2003 20:14:20 -0700

Liansheng -

Well, if KAME-MIPv6 implements eager cell switching, then setup 2
routers that advertise different prefixes on the same link. Then,
whenever KameMN gets a RA from a new router (different from the one it
last discovered), it should do a L3 move and switch to a new care-of
address. You should be able to tell from a packet capture the latency:
measure the time between when KameMN receives the RA that caused it to
switch to a new care-of address and the time that it takes for KameMN to
complete registration of that new care-of address with the home agent.
If you want, you can also include a single CN in the latency, and then
also measure the time required for KameMN to update its binding with the
CN.

Note: Mobile IPv6 discussion has moved to a new mip6 mailing list

Thanks.
- Ed Remmell
Elmic Systems, USA

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of 
> [email-masked]
> Sent: Tuesday, October 07, 2003 6:39 PM
> To: [email-masked]
> Subject: [mobile-ip] how to measure the handoff latency in MIPv6
> 
> 
> hi,
> ---
> Incoming mail is certified Virus Free.
> Checked by AVG anti-virus system (http://www.grisoft.com).
> Version: 6.0.522 / Virus Database: 320 - Release Date: 9/29/2003
>  
> 

---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.522 / Virus Database: 320 - Release Date: 9/29/2003

---

From: Matthias Waehlisch <[email-masked]>
Date: Tue, 14 Oct 2003 10:29:11 +0200 (Westeurop�ische Sommerzeit)

hello Zhang Liansheng,

> And my test bed is based on KAME-MIPv6,freebsd. Can anyone kindly tell me
  we have used only a simple 'ping' tool, which generated UDP packets (and a
logfile with the appropriate values like roundtrip time), i.e. the MN send
and receive numbered and time-stamped UDP packets following a predefined
trigger of 10 to 20 ms. these packets are reflected by the CN.

  you can find our results at the Terena paper under:

  o http://www.rz.fhtw-berlin.de/projekte/ipv6/mipv6.html

  please, don't hesitate to contact me, if you have more questions about
the topic.

best regards
  matthias

::::::::::::::::::
Matthias Waehlisch
HRZ - FHTW Berlin
mailto:mw at fhtw-berlin.de
http://www.rz.fhtw-berlin.de